%define rname mplayerplug-in

%def_with gtk2

Name: mozilla-plugin-%rname
Version: 3.01
Release: alt1
License: GPL
Group: Networking/WWW
Summary: MPlayer Plugin for Netscape/Mozilla
URL: http://mplayerplug-in.sourceforge.net/
Source0: %rname-%version.tar.bz2
Obsoletes: %rname

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: browser-plugins-npapi MPlayer

BuildRequires: xorg-x11-devel gcc-c++ libstdc++-devel pkgconfig
BuildRequires: mozilla-devel browser-plugins-npapi-devel glib2-devel 
%if_with gtk2
BuildRequires: libatk-devel libgtk+2-devel libpango-devel
%endif

%description
mplayerplug-in is a Mozilla browser plugin to allow playing embedded movies on web pages.

%prep
%setup -q -n %rname

%build
%if_without gtk2
%configure \ 
	--enable-x \
	--disable-gtk2
%else
%configure
%endif

%make_build

%install
%make DESTDIR=%buildroot install

%__mkdir_p %buildroot%browser_plugins_path
%__mv %buildroot%_libdir/mozilla/plugins/%{rname}* %buildroot%browser_plugins_path/

##%find_lang %rname

%files
## -f %rname.lang
%doc ChangeLog INSTALL README TODO
%browser_plugins_path/%{rname}*
%config(noreplace) %_sysconfdir/%rname.conf
%_sysconfdir/%rname.types

%changelog
* Mon Jul 25 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.01-alt1
- 3.01
- fixed requires

* Tue Jul 19 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.0-alt1
- 3.0

* Thu Jun 16 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.85-alt1
- 2.85

* Mon Feb 14 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.80-alt1
- 2.80

* Sat Jan 22 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.75-alt2
- Rebuild with new plagins policy

* Tue Dec 28 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.75-alt1
- 2.75

* Wed Sep 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.70-alt1
- new version

* Mon Jun 21 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.66-alt1
- new version

* Fri May 07 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.60-alt1
- initial release
